.wp-block-meta-pricing {
  padding-inline: 32px;
}
.wp-block-meta-pricing .pricing-table {
  display: flex;
  flex-direction: column;
}
.wp-block-meta-pricing .pricing-toggle {
  background-color: var(--wp--preset--color--tertiary, var(--wp--preset--color--secondary));
  border: 1px solid var(--wp--custom--color--border);
  display: flex;
  width: 200px;
  margin: 0 auto 48px auto;
  border-radius: 6px;
  display: flex;
  padding: 4px;
  position: relative;
}
.wp-block-meta-pricing .pricing-toggle::before {
  content: "";
  height: 41px;
  position: absolute;
  width: 95px;
  left: 4px;
  background-color: var(--wp--custom--color--background);
  box-shadow: 0 0 0 1px var(--wp--custom--color--border), 0 1px 5px 0px hsla(from var(--wp--custom--color--border) h s l/0.15);
  border-radius: 4px;
  transition: left 0.2s ease-in-out;
}
.wp-block-meta-pricing .pricing-toggle button {
  width: 50%;
  font-weight: 500;
  padding: 10px;
  position: relative;
  color: var(--wp--preset--color--secondary-alt);
}
.wp-block-meta-pricing .pricing-toggle button.is-active {
  color: var(--wp--custom--color--heading);
}
.wp-block-meta-pricing .pricing-toggle:has(.is-active[data-price-toggle=yearly])::before {
  left: 99px;
}
.wp-block-meta-pricing .pricing-container {
  width: 100%;
  margin: 0 auto;
  max-width: 1280px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}
.wp-block-meta-pricing .pricing-card {
  border: 2px solid var(--wp--custom--color--border);
  border-radius: var(--wp--custom--border--radius);
  padding: 30px;
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  max-width: 420px;
}
@media screen and (min-width: 680px) {
  .wp-block-meta-pricing .pricing-card {
    width: calc((100% - 20px) / 2);
  }
}
@media screen and (min-width: 992px) {
  .wp-block-meta-pricing .pricing-card {
    width: calc((100% - 40px) / 3);
  }
}
.wp-block-meta-pricing .pricing-card.is-popular {
  border-color: var(--wp--preset--color--secondary);
  box-shadow: 0 20px 35px 0 hsla(from var(--wp--preset--color--accent) h s l/0.12);
}
.wp-block-meta-pricing .pricing-card.is-popular::before {
  content: "Most Popular";
  background-color: var(--wp--preset--color--secondary);
  color: var(--wp--custom--color--background);
  font-family: var(--wp--preset--font-family--primary);
  font-weight: 700;
  text-transform: uppercase;
  font-size: 0.75rem;
  border-radius: 30px;
  padding: 16px 16px;
  line-height: 0;
  position: absolute;
  top: -16px;
  left: 50%;
  translate: -50%;
}
.wp-block-meta-pricing .pricing-card h3 {
  font-weight: 700;
  margin-bottom: 8px;
}
.wp-block-meta-pricing .pricing-card .pricing {
  margin-top: 32px;
  line-height: 1;
  display: flex;
  align-items: flex-end;
  gap: 6px;
}
.wp-block-meta-pricing .pricing-card .pricing strong {
  font-weight: 800;
  font-family: var(--wp--preset--font-family--primary);
  color: var(--wp--preset--color--primary);
  font-size: clamp(32px, 23.6px + 1.75vw, 46px);
}
.wp-block-meta-pricing .pricing-card .pricing small {
  font-size: 1rem;
  margin-bottom: 8px;
}
.wp-block-meta-pricing .pricing-card .price-alt,
.wp-block-meta-pricing .pricing-card .pricing-description {
  display: none;
}
.wp-block-meta-pricing .pricing-card .pricing-description {
  margin-top: 8px;
  font-size: 0.875rem;
}
.wp-block-meta-pricing .pricing-card .features {
  border-top: 1px solid var(--wp--custom--color--border);
  margin: 24px 0 32px 0;
  padding: 24px 0 0 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.wp-block-meta-pricing .pricing-card .features li {
  display: flex;
  line-height: 1.3;
  gap: 10px;
}
.wp-block-meta-pricing .pricing-card .features li::before {
  content: "";
  display: block;
  width: 16px;
  height: 16px;
  mask-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%20fill%3D%22none%22%20stroke%3D%22currentColor%22%20stroke-width%3D%222%22%20stroke-linecap%3D%22round%22%20stroke-linejoin%3D%22round%22%20class%3D%22feather%20feather-check%22%3E%3Cpolyline%20points%3D%2220%206%209%2017%204%2012%22%3E%3C%2Fpolyline%3E%3C%2Fsvg%3E");
  background-color: var(--wp--preset--color--secondary);
  mask-size: 16px;
}
.wp-block-meta-pricing .pricing-card .btn {
  margin-top: auto;
  color: var(--wp--preset--color--primary);
}
.wp-block-meta-pricing .pricing-card .btn.btn-primary {
  color: var(--wp--preset--color--primary);
}
.wp-block-meta-pricing .pricing-table.is-yearly .price {
  display: none;
}
.wp-block-meta-pricing .pricing-table.is-yearly .price-alt,
.wp-block-meta-pricing .pricing-table.is-yearly .pricing-description {
  display: block;
}
.wp-block-meta-pricing .is-dark-theme {
  color: hsla(from var(--wp--custom--color--background) h s l/0.75);
}
.wp-block-meta-pricing .is-dark-theme .pricing-card {
  background-color: hsla(from var(--wp--custom--color--background) h s l/0.04);
}
.wp-block-meta-pricing .is-dark-theme .pricing-card:not(.is-popular) {
  border-color: hsla(from var(--wp--custom--color--background) h s l/0.15);
}
.wp-block-meta-pricing .is-dark-theme h3 {
  color: var(--wp--custom--color--background);
}
.wp-block-meta-pricing .is-dark-theme .pricing {
  color: var(--wp--custom--color--background);
}
.wp-block-meta-pricing .is-dark-theme .pricing strong {
  color: var(--wp--preset--color--accent);
}
.wp-block-meta-pricing .is-dark-theme .features {
  border-top: 1px solid hsla(from var(--wp--custom--color--background) h s l/0.1);
}
.wp-block-meta-pricing .is-dark-theme .btn {
  margin-top: auto;
  color: var(--wp--preset--color--tertiary, var(--wp--preset--color--secondary));
}
.wp-block-meta-pricing .is-dark-theme .btn.btn-outlined {
  box-shadow: inset 0 0 0 1px hsla(from var(--wp--preset--color--shade) h s l/0.5);
}
.wp-block-meta-pricing .is-dark-theme .btn.btn-outlined:hover {
  box-shadow: inset 0 0 0 2px hsla(from var(--wp--preset--color--shade) h s l/0.75);
}
.wp-block-meta-pricing .pricing-container.has-4-cards {
  max-width: 1440px;
}
@media screen and (min-width: 1280px) {
  .wp-block-meta-pricing .pricing-container.has-4-cards .pricing-card {
    width: calc((100% - 60px) / 4);
  }
}
:root .wp-block-meta-pricing.acf-block-preview {
  max-width: unset !important;
  margin-inline: -24px !important;
}
:root .wp-block-meta-pricing.acf-block-preview + * {
  margin-top: 0;
}
.wp-block-meta-pricing.acf-block-preview * {
  pointer-events: none;
}
